Count Works (POST)
Get count of work matching given filter.
Required scopes:
Depends on the object type in the type field:
| type | required scope |
|---|---|
| incident | incident:read OR incident:write OR incident:all |
| issue | issue:read OR issue:write OR issue:all |
| opportunity | opportunity:read OR opportunity:write OR opportunity:all |
| task | task:read OR task:write OR task:all |
| ticket | ticket:read OR ticket:write OR ticket:all |
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
Filters for work of the provided types.
Provides ways to specify date ranges on objects.
Filters for work belonging to any of the provided parts.
Filters for work created by any of these users.
Provides ways to specify date ranges on objects.
Filters for custom fields.
Filters for work with any of the provided external references.
Filters for work modified by any of these users.
Provides ways to specify date ranges on objects.
Filters for work owned by any of these users.
Filters for work reported by any of these users.
The filter for stages.
Filters for work with any of the provided states.
Filters for work with any of the provided tags.
Provides ways to specify date ranges on objects.
Filters for work belonging to the given vista.
idResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/works.count" \ -H "Content-Type: application/json" \ -d '{}'{
"count": 0,
"has_more": true
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}Get Widget GET
Returns the requested widget.
Count Works GET
Get count of work matching given filter. **Required scopes:** Depends on the object type in the `type` field: | type | required scope | |---|---| | incident | `incident:read` OR `incident:write` OR `incident:all` | | issue | `issue:read` OR `issue:write` OR `issue:all` | | opportunity | `opportunity:read` OR `opportunity:write` OR `opportunity:all` | | task | `task:read` OR `task:write` OR `task:all` | | ticket | `ticket:read` OR `ticket:write` OR `ticket:all` |